diff --git a/pki/base/common/test/com/netscape/certsrv/app/CMSEngineDefaultStub.java b/pki/base/common/test/com/netscape/certsrv/app/CMSEngineDefaultStub.java
index c5fb12e22391a3070af348beac6796e1f09856df..f27cabb2c602575f445b692a5bbc0cf81702eabc 100644
--- a/pki/base/common/test/com/netscape/certsrv/app/CMSEngineDefaultStub.java
+++ b/pki/base/common/test/com/netscape/certsrv/app/CMSEngineDefaultStub.java
@@ -126,11 +126,11 @@ public class CMSEngineDefaultStub implements ICMSEngine {
         return false;
     }
 
-    public Enumeration getSubsystemNames() {
+    public Enumeration<String> getSubsystemNames() {
         return null;
     }
 
-    public Enumeration getSubsystems() {
+    public Enumeration<ISubsystem> getSubsystems() {
         return null;
     }
 
@@ -465,18 +465,6 @@ public class CMSEngineDefaultStub implements ICMSEngine {
         return null;
     }
 
-    public void getGeneralNameConfigDefaultParams(String name, boolean isValueConfigured, Vector params) {
-    }
-
-    public void getGeneralNamesConfigDefaultParams(String name, boolean isValueConfigured, Vector params) {
-    }
-
-    public void getGeneralNameConfigExtendedPluginInfo(String name, boolean isValueConfigured, Vector info) {
-    }
-
-    public void getGeneralNamesConfigExtendedPluginInfo(String name, boolean isValueConfigured, Vector info) {
-    }
-
     public IGeneralNamesConfig createGeneralNamesConfig(String name, IConfigStore config, boolean isValueConfigured,
             boolean isPolicyEnabled) throws EBaseException {
         return null;
@@ -492,12 +480,6 @@ public class CMSEngineDefaultStub implements ICMSEngine {
         return null;
     }
 
-    public void getSubjAltNameConfigDefaultParams(String name, Vector params) {
-    }
-
-    public void getSubjAltNameConfigExtendedPluginInfo(String name, Vector params) {
-    }
-
     public ISubjAltNameConfig createSubjAltNameConfig(String name, IConfigStore config, boolean isValueConfigured)
             throws EBaseException {
         return null;
@@ -537,14 +519,6 @@ public class CMSEngineDefaultStub implements ICMSEngine {
         return null;
     }
 
-    public IArgBlock createArgBlock(String realm, Hashtable httpReq) {
-        return null;
-    }
-
-    public IArgBlock createArgBlock(Hashtable httpReq) {
-        return null;
-    }
-
     public boolean isRevoked(X509Certificate[] certificates) {
         return false;
     }
@@ -600,4 +574,59 @@ public class CMSEngineDefaultStub implements ICMSEngine {
         // TODO Auto-generated method stub
         return null;
     }
+
+    @Override
+    public void getGeneralNameConfigDefaultParams(String name,
+            boolean isValueConfigured, Vector<String> params) {
+        // TODO Auto-generated method stub
+
+    }
+
+    @Override
+    public void getGeneralNamesConfigDefaultParams(String name,
+            boolean isValueConfigured, Vector<String> params) {
+        // TODO Auto-generated method stub
+
+    }
+
+    @Override
+    public void getGeneralNameConfigExtendedPluginInfo(String name,
+            boolean isValueConfigured, Vector<String> info) {
+        // TODO Auto-generated method stub
+
+    }
+
+    @Override
+    public void getGeneralNamesConfigExtendedPluginInfo(String name,
+            boolean isValueConfigured, Vector<String> info) {
+        // TODO Auto-generated method stub
+
+    }
+
+    @Override
+    public void getSubjAltNameConfigDefaultParams(String name,
+            Vector<String> params) {
+        // TODO Auto-generated method stub
+
+    }
+
+    @Override
+    public void getSubjAltNameConfigExtendedPluginInfo(String name,
+            Vector<String> params) {
+        // TODO Auto-generated method stub
+
+    }
+
+    @Override
+    public IArgBlock createArgBlock(String realm,
+            Hashtable<String, String> httpReq) {
+        // TODO Auto-generated method stub
+        return null;
+    }
+
+    @Override
+    public IArgBlock createArgBlock(Hashtable<String, String> httpReq) {
+        // TODO Auto-generated method stub
+        return null;
+    }
 }
diff --git a/pki/base/common/test/com/netscape/cmscore/request/ExtDataHashtableTest.java b/pki/base/common/test/com/netscape/cmscore/request/ExtDataHashtableTest.java
index 7569ff20ad6afbf32f01232b61f9eb69dd151e50..c349b73d07c1f0c0f7e6d324434f3d2826bfcb47 100644
--- a/pki/base/common/test/com/netscape/cmscore/request/ExtDataHashtableTest.java
+++ b/pki/base/common/test/com/netscape/cmscore/request/ExtDataHashtableTest.java
@@ -9,14 +9,14 @@ import com.netscape.cmscore.test.CMSBaseTestCase;
 
 public class ExtDataHashtableTest extends CMSBaseTestCase {
 
-    ExtDataHashtable hash;
+    ExtDataHashtable<String> hash;
 
     public ExtDataHashtableTest(String name) {
         super(name);
     }
 
     public void cmsTestSetUp() {
-        hash = new ExtDataHashtable();
+        hash = new ExtDataHashtable<String>();
     }
 
     public void cmsTestTearDown() {
@@ -46,7 +46,7 @@ public class ExtDataHashtableTest extends CMSBaseTestCase {
     }
 
     public void testPutAll() {
-        Hashtable hash2 = new Hashtable();
+        Hashtable<String, String> hash2 = new Hashtable<String, String>();
         hash2.put("KEY1", "VAL1");
         hash2.put("KEY2", "val2");
 
@@ -67,11 +67,11 @@ public class ExtDataHashtableTest extends CMSBaseTestCase {
     }
 
     public void testMapConstructor() {
-        Hashtable hash2 = new Hashtable();
+        Hashtable<String, String> hash2 = new Hashtable<String, String>();
         hash2.put("KEY1", "VAL1");
         hash2.put("KEY2", "val2");
 
-        hash = new ExtDataHashtable(hash2);
+        hash = new ExtDataHashtable<String>(hash2);
 
         assertTrue(hash.containsKey("key1"));
         assertEquals("VAL1", hash.get("key1"));
diff --git a/pki/base/common/test/com/netscape/cmscore/request/RequestDefaultStub.java b/pki/base/common/test/com/netscape/cmscore/request/RequestDefaultStub.java
index f00eb8a748cf943d1398c05c65548dd2e248ab96..fd53c2ea9f0594b33ebe4218316e1e0a093199b5 100644
--- a/pki/base/common/test/com/netscape/cmscore/request/RequestDefaultStub.java
+++ b/pki/base/common/test/com/netscape/cmscore/request/RequestDefaultStub.java
@@ -71,7 +71,7 @@ public class RequestDefaultStub implements IRequest {
         return null;
     }
 
-    public Enumeration getAttrNames() {
+    public Enumeration<String> getAttrNames() {
         return null;
     }
 
@@ -103,7 +103,7 @@ public class RequestDefaultStub implements IRequest {
         return false;
     }
 
-    public boolean setExtData(String key, Hashtable value) {
+    public boolean setExtData(String key, Hashtable<String, String> value) {
         return false;
     }
 
@@ -115,11 +115,11 @@ public class RequestDefaultStub implements IRequest {
         return null;
     }
 
-    public Hashtable getExtDataInHashtable(String key) {
+    public Hashtable<String, String> getExtDataInHashtable(String key) {
         return null;
     }
 
-    public Enumeration getExtDataKeys() {
+    public Enumeration<String> getExtDataKeys() {
         return null;
     }
 
@@ -223,11 +223,11 @@ public class RequestDefaultStub implements IRequest {
         return new RevokedCertImpl[0];
     }
 
-    public boolean setExtData(String key, Vector data) {
+    public boolean setExtData(String key, Vector<?> data) {
         return false;
     }
 
-    public Vector getExtDataInStringVector(String key) {
+    public Vector<String> getExtDataInStringVector(String key) {
         return null;
     }
 
diff --git a/pki/base/common/test/com/netscape/cmscore/request/RequestRecordTest.java b/pki/base/common/test/com/netscape/cmscore/request/RequestRecordTest.java
index efdbfc20a72b60b03dd105183247f680dde59e7a..457f91d9bd730c073c8ede6a4edef9c083396f40 100644
--- a/pki/base/common/test/com/netscape/cmscore/request/RequestRecordTest.java
+++ b/pki/base/common/test/com/netscape/cmscore/request/RequestRecordTest.java
@@ -62,7 +62,7 @@ public class RequestRecordTest extends CMSBaseTestCase {
 
     public void testAddExtData() throws EBaseException {
         request.setExtData("foo", "bar");
-        Hashtable requestHashValue = new Hashtable();
+        Hashtable<String, String> requestHashValue = new Hashtable<String, String>();
         requestHashValue.put("red", "rum");
         requestHashValue.put("blue", "gin");
         request.setExtData("hashkey", requestHashValue);
@@ -74,9 +74,9 @@ public class RequestRecordTest extends CMSBaseTestCase {
     }
 
     public void testReadExtData() throws EBaseException {
-        Hashtable extData = new Hashtable();
+        Hashtable<String, Object> extData = new Hashtable<String, Object>();
         extData.put("foo", "bar");
-        Hashtable extDataHashValue = new Hashtable();
+        Hashtable<String, String> extDataHashValue = new Hashtable<String, String>();
         extDataHashValue.put("red", "rum");
         extDataHashValue.put("blue", "gin");
         extData.put("hashkey", extDataHashValue);
diff --git a/pki/base/common/test/com/netscape/cmscore/request/RequestTest.java b/pki/base/common/test/com/netscape/cmscore/request/RequestTest.java
index 2251cc8c81124a75e3142f365b7e3ddc151c971a..3ca589280ef79452ad649c3277fac8e50d720c3f 100644
--- a/pki/base/common/test/com/netscape/cmscore/request/RequestTest.java
+++ b/pki/base/common/test/com/netscape/cmscore/request/RequestTest.java
@@ -69,7 +69,7 @@ public class RequestTest extends CMSBaseTestCase {
 
     public void testIsSimpleExtDataValue() {
         request.mExtData.put("simple1", "foo");
-        request.mExtData.put("complex1", new Hashtable());
+        request.mExtData.put("complex1", new Hashtable<String, Object>());
 
         assertTrue(request.isSimpleExtDataValue("simple1"));
         assertFalse(request.isSimpleExtDataValue("complex1"));
@@ -91,8 +91,9 @@ public class RequestTest extends CMSBaseTestCase {
         assertFalse(request.setExtData("key", (String) null));
     }
 
+    @SuppressWarnings({ "rawtypes", "unchecked" })
     public void testVerifyValidExtDataHashtable() {
-        Hashtable valueHash = new Hashtable();
+        Hashtable<String, String> valueHash = new Hashtable<String, String>();
 
         valueHash.put("key1", "val1");
         valueHash.put("key;2", "val2");
@@ -101,26 +102,18 @@ public class RequestTest extends CMSBaseTestCase {
         valueHash.clear();
         valueHash.put("", "bar");
         assertFalse(request.isValidExtDataHashtableValue(valueHash));
-
-        valueHash.clear();
-        valueHash.put(new Integer("0"), "bar");
-        assertFalse(request.isValidExtDataHashtableValue(valueHash));
-
-        valueHash.clear();
-        valueHash.put("okay", new Integer(5));
-        assertFalse(request.isValidExtDataHashtableValue(valueHash));
-
     }
 
+    @SuppressWarnings({ "unchecked", "rawtypes" })
     public void testSetExtHashtableData() {
-        Hashtable valueHash = new Hashtable();
+        Hashtable<String, String> valueHash = new Hashtable<String, String>();
 
         valueHash.put("key1", "val1");
         valueHash.put("KEY2", "val2");
 
         request.setExtData("TOPKEY", valueHash);
 
-        Hashtable out = request.getExtDataInHashtable("topkey");
+        Hashtable<String, String> out = request.getExtDataInHashtable("topkey");
         assertNotNull(out);
 
         assertTrue(out.containsKey("key1"));
@@ -137,7 +130,7 @@ public class RequestTest extends CMSBaseTestCase {
 
     public void testGetExtDataInString() {
         request.mExtData.put("strkey", "strval");
-        Hashtable hashValue = new Hashtable();
+        Hashtable<String, String> hashValue = new Hashtable<String, String>();
         hashValue.put("uh", "oh");
         request.mExtData.put("hashkey", hashValue);
 
@@ -150,11 +143,11 @@ public class RequestTest extends CMSBaseTestCase {
 
     public void testGetExtDataInHashtable() {
         request.mExtData.put("strkey", "strval");
-        Hashtable hashValue = new Hashtable();
+        Hashtable<String, String> hashValue = new Hashtable<String, String>();
         hashValue.put("uh", "oh");
         request.mExtData.put("hashkey", hashValue);
 
-        Hashtable out = request.getExtDataInHashtable("HASHKEY");
+        Hashtable<String, String> out = request.getExtDataInHashtable("HASHKEY");
         assertNotNull(out);
         assertNull(request.getExtDataInHashtable("notfound"));
         assertNull(request.getExtDataInHashtable("strkey"));
@@ -171,7 +164,7 @@ public class RequestTest extends CMSBaseTestCase {
 
     public void testGetExtDataKeys() {
         request.setExtData("FOO", "val1");
-        request.setExtData("bar", new Hashtable());
+        request.setExtData("bar", new Hashtable<String, String>());
 
         assertTrue(TestHelper.enumerationContains(request.getExtDataKeys(), "foo"));
         assertTrue(TestHelper.enumerationContains(request.getExtDataKeys(), "bar"));
@@ -181,14 +174,14 @@ public class RequestTest extends CMSBaseTestCase {
         // creates hashtable first time
         assertNull(request.getExtDataInHashtable("topkey"));
         request.setExtData("TOPKEY", "SUBKEY", "value");
-        Hashtable value = request.getExtDataInHashtable("topkey");
+        Hashtable<String, String> value = request.getExtDataInHashtable("topkey");
         assertNotNull(value);
         assertTrue(value.containsKey("subkey"));
         assertEquals("value", value.get("subkey"));
 
         // adds to existing hashtable
         assertNull(request.getExtDataInHashtable("topkey2"));
-        value = new Hashtable();
+        value = new Hashtable<String, String>();
         value.put("subkey2", "value2");
         request.setExtData("topkey2", value);
         request.setExtData("TOPKEY2", "subkey3", "value3");
@@ -219,7 +212,7 @@ public class RequestTest extends CMSBaseTestCase {
     }
 
     public void testGetExtDataSubkeyValue() {
-        Hashtable value = new Hashtable();
+        Hashtable<String, String> value = new Hashtable<String, String>();
         value.put("subkey", "value");
 
         request.setExtData("topkey", value);
@@ -259,7 +252,7 @@ public class RequestTest extends CMSBaseTestCase {
         assertEquals(data[2], retval[2]);
 
         // invalid conversion
-        Hashtable hashValue = new Hashtable();
+        Hashtable<String, String> hashValue = new Hashtable<String, String>();
         hashValue.put("0", "5");
         hashValue.put("1", "bar");
         request.setExtData("topkey2", hashValue);
@@ -298,7 +291,7 @@ public class RequestTest extends CMSBaseTestCase {
         assertEquals(data[2], retval[2]);
 
         // invalid conversion
-        Hashtable hashValue = new Hashtable();
+        Hashtable<String, String> hashValue = new Hashtable<String, String>();
         hashValue.put("0", "5");
         hashValue.put("1", "bar");
         request.setExtData("topkey2", hashValue);
@@ -357,7 +350,7 @@ public class RequestTest extends CMSBaseTestCase {
         };
 
         assertTrue(request.setExtData("key", vals));
-        Hashtable hashVals = (Hashtable) request.mExtData.get("key");
+        Hashtable<?, ?> hashVals = (Hashtable<?, ?>) request.mExtData.get("key");
         assertEquals(2, hashVals.keySet().size());
 
         assertFalse(cmsStub.aToBCalled);
@@ -376,7 +369,8 @@ public class RequestTest extends CMSBaseTestCase {
         assertTrue(request.setExtData("key", value));
 
         assertTrue(request.mExtData.containsKey("key"));
-        Hashtable hashValue = (Hashtable) request.mExtData.get("key");
+        @SuppressWarnings("unchecked")
+        Hashtable<String, String> hashValue = (Hashtable<String, String>) request.mExtData.get("key");
         assertTrue(hashValue.containsKey("0"));
         assertTrue(hashValue.containsKey("1"));
         assertTrue(hashValue.containsKey("2"));
@@ -394,7 +388,7 @@ public class RequestTest extends CMSBaseTestCase {
         assertEquals("orange", retval[3]);
 
         // Try with sparse input
-        hashValue = new Hashtable();
+        hashValue = new Hashtable<String, String>();
         hashValue.put("0", "square");
         hashValue.put("4", "triangle");
         hashValue.put("6", "octogon");
@@ -411,7 +405,7 @@ public class RequestTest extends CMSBaseTestCase {
         assertEquals("octogon", retval[6]);
 
         // invalid conversion
-        hashValue = new Hashtable();
+        hashValue = new Hashtable<String, String>();
         hashValue.put("0", "foo");
         hashValue.put("badkey", "bar");
         request.setExtData("cory", hashValue);
@@ -422,7 +416,7 @@ public class RequestTest extends CMSBaseTestCase {
     }
 
     public void testGetSetStringVector() {
-        Vector stringVector = new Vector();
+        Vector<String> stringVector = new Vector<String>();
         stringVector.add("blue");
         stringVector.add("green");
         stringVector.add("red");
@@ -431,7 +425,8 @@ public class RequestTest extends CMSBaseTestCase {
         assertTrue(request.setExtData("key", stringVector));
 
         assertTrue(request.mExtData.containsKey("key"));
-        Hashtable hashValue = (Hashtable) request.mExtData.get("key");
+        @SuppressWarnings("unchecked")
+        Hashtable<String, String> hashValue = (Hashtable<String, String>) request.mExtData.get("key");
         assertTrue(hashValue.containsKey("0"));
         assertTrue(hashValue.containsKey("1"));
         assertTrue(hashValue.containsKey("2"));
@@ -441,7 +436,7 @@ public class RequestTest extends CMSBaseTestCase {
         assertEquals("red", hashValue.get("2"));
         assertEquals("orange", hashValue.get("3"));
 
-        Vector retval = request.getExtDataInStringVector("key");
+        Vector<String> retval = request.getExtDataInStringVector("key");
         assertEquals(4, retval.size());
         assertEquals("blue", retval.elementAt(0));
         assertEquals("green", retval.elementAt(1));
@@ -449,13 +444,13 @@ public class RequestTest extends CMSBaseTestCase {
         assertEquals("orange", retval.elementAt(3));
 
         // invalid conversion
-        hashValue = new Hashtable();
+        hashValue = new Hashtable<String, String>();
         hashValue.put("0", "foo");
         hashValue.put("badkey", "bar");
         request.setExtData("cory", hashValue);
         assertNull(request.getExtDataInStringVector("cory"));
 
-        assertFalse(request.setExtData("key", (Vector) null));
+        assertFalse(request.setExtData("key", (Vector<?>) null));
     }
 
     public void testGetSetCertInfo() {
@@ -482,7 +477,7 @@ public class RequestTest extends CMSBaseTestCase {
         };
 
         assertTrue(request.setExtData("key", vals));
-        Hashtable hashVals = (Hashtable) request.mExtData.get("key");
+        Hashtable<?, ?> hashVals = (Hashtable<?, ?>) request.mExtData.get("key");
         assertEquals(2, hashVals.keySet().size());
 
         assertFalse(cmsStub.aToBCalled);
@@ -493,7 +488,7 @@ public class RequestTest extends CMSBaseTestCase {
     }
 
     public void testGetBoolean() {
-        Hashtable hashValue = new Hashtable();
+        Hashtable<String, String> hashValue = new Hashtable<String, String>();
         hashValue.put("one", "false");
         hashValue.put("two", "true");
         hashValue.put("three", "on");
@@ -532,7 +527,7 @@ public class RequestTest extends CMSBaseTestCase {
         };
 
         assertTrue(request.setExtData("key", vals));
-        Hashtable hashVals = (Hashtable) request.mExtData.get("key");
+        Hashtable<?, ?> hashVals = (Hashtable<?, ?>) request.mExtData.get("key");
         assertEquals(2, hashVals.keySet().size());
 
         assertFalse(cmsStub.aToBCalled);
diff --git a/pki/base/java-tools/src/com/netscape/cmstools/CMCEnroll.java b/pki/base/java-tools/src/com/netscape/cmstools/CMCEnroll.java
index b7e6502eea187b5ce95ec9762c97dfb50a53b4c5..18bfb51fc434d6687246501450a5eba531418062 100644
--- a/pki/base/java-tools/src/com/netscape/cmstools/CMCEnroll.java
+++ b/pki/base/java-tools/src/com/netscape/cmstools/CMCEnroll.java
@@ -237,8 +237,8 @@ public class CMCEnroll {
             // SHA1 is the default digest Alg for now.
             DigestAlgorithm digestAlg = null;
             SignatureAlgorithm signAlg = SignatureAlgorithm.RSASignatureWithSHA1Digest;
-            org.mozilla.jss.crypto.PrivateKey.Type signingKeyType = ((org.mozilla.jss.crypto.PrivateKey) privKey)
-                    .getType();
+            org.mozilla.jss.crypto.PrivateKey.Type signingKeyType =
+                    ((org.mozilla.jss.crypto.PrivateKey) privKey).getType();
 
             if (signingKeyType.equals(org.mozilla.jss.crypto.PrivateKey.Type.DSA))
                 signAlg = SignatureAlgorithm.DSASignatureWithSHA1Digest;
diff --git a/pki/base/java-tools/src/com/netscape/cmstools/CMCRequest.java b/pki/base/java-tools/src/com/netscape/cmstools/CMCRequest.java
index 00ca4709ed14213a20eb561137c808e04045c609..197f29e15992bf6eadcc7fa83538bd6436db537b 100644
--- a/pki/base/java-tools/src/com/netscape/cmstools/CMCRequest.java
+++ b/pki/base/java-tools/src/com/netscape/cmstools/CMCRequest.java
@@ -246,8 +246,8 @@ public class CMCRequest {
             // SHA1 is the default digest Alg for now.
             DigestAlgorithm digestAlg = null;
             SignatureAlgorithm signAlg = SignatureAlgorithm.RSASignatureWithSHA1Digest;
-            org.mozilla.jss.crypto.PrivateKey.Type signingKeyType = ((org.mozilla.jss.crypto.PrivateKey) privKey)
-                    .getType();
+            org.mozilla.jss.crypto.PrivateKey.Type signingKeyType =
+                    ((org.mozilla.jss.crypto.PrivateKey) privKey).getType();
 
             if (signingKeyType.equals(org.mozilla.jss.crypto.PrivateKey.Type.DSA))
                 signAlg = SignatureAlgorithm.DSASignatureWithSHA1Digest;
diff --git a/pki/base/java-tools/src/com/netscape/cmstools/CMCRevoke.java b/pki/base/java-tools/src/com/netscape/cmstools/CMCRevoke.java
index bab8b84fd79560944ca6319d063de0c52e323dbd..3be8167a120e03c4ec916e4627155359d5dc2539 100644
--- a/pki/base/java-tools/src/com/netscape/cmstools/CMCRevoke.java
+++ b/pki/base/java-tools/src/com/netscape/cmstools/CMCRevoke.java
@@ -145,8 +145,8 @@ public class CMCRevoke {
             // optional parameter
             if (cValue == null)
                 cValue = new String();
-            if (dValue == null || nValue == null || iValue == null || sValue == null || mValue == null
-                    || hValue == null)
+            if (dValue == null
+                    || nValue == null || iValue == null || sValue == null || mValue == null || hValue == null)
                 bWrongParam = true;
             else if (dValue.length() == 0 || nValue.length() == 0 || iValue.length() == 0 ||
                     sValue.length() == 0 || mValue.length() == 0 || hValue.length() == 0)
@@ -331,23 +331,23 @@ public class CMCRevoke {
             }
             String sn = com.netscape.osutil.OSUtil.BtoA(dig);
 
-            TaggedAttribute senderNonce = new TaggedAttribute(new INTEGER(bpid++),
-                    OBJECT_IDENTIFIER.id_cmc_senderNonce,
-                    new OCTET_STRING(sn.getBytes()));
+            TaggedAttribute senderNonce =
+                    new TaggedAttribute(new INTEGER(bpid++), OBJECT_IDENTIFIER.id_cmc_senderNonce,
+                            new OCTET_STRING(sn.getBytes()));
 
             controlSeq.addElement(senderNonce);
 
             Name subjectName = new Name();
 
             subjectName.addCommonName(iValue);
-            org.mozilla.jss.pkix.cmmf.RevRequest lRevokeRequest = new org.mozilla.jss.pkix.cmmf.RevRequest(new ANY(
-                    (new X500Name(iValue)).getEncoded()),
-                    new INTEGER(sValue),
-                    //org.mozilla.jss.pkix.cmmf.RevRequest.unspecified, 
-                    new ENUMERATED((new Integer(mValue)).longValue()),
-                    //new GeneralizedTime(new Date(lValue)), 
-                    new OCTET_STRING(hValue.getBytes()),
-                    new UTF8String(cValue.toCharArray()));
+            org.mozilla.jss.pkix.cmmf.RevRequest lRevokeRequest =
+                    new org.mozilla.jss.pkix.cmmf.RevRequest(new ANY((new X500Name(iValue)).getEncoded()),
+                            new INTEGER(sValue),
+                            //org.mozilla.jss.pkix.cmmf.RevRequest.unspecified,
+                            new ENUMERATED((new Integer(mValue)).longValue()),
+                            //new GeneralizedTime(new Date(lValue)),
+                            new OCTET_STRING(hValue.getBytes()),
+                            new UTF8String(cValue.toCharArray()));
             //byte[] encoded = ASN1Util.encode(lRevokeRequest);
             //org.mozilla.jss.asn1.ASN1Template template = new  org.mozilla.jss.pkix.cmmf.RevRequest.Template();
             //org.mozilla.jss.pkix.cmmf.RevRequest revRequest = (org.mozilla.jss.pkix.cmmf.RevRequest) 
@@ -356,9 +356,9 @@ public class CMCRevoke {
 
             ByteArrayOutputStream os = new ByteArrayOutputStream();
             //lRevokeRequest.encode(os); // khai
-            TaggedAttribute revokeRequestTag = new TaggedAttribute(new INTEGER(bpid++),
-                    OBJECT_IDENTIFIER.id_cmc_revokeRequest,
-                    lRevokeRequest);
+            TaggedAttribute revokeRequestTag =
+                    new TaggedAttribute(new INTEGER(bpid++), OBJECT_IDENTIFIER.id_cmc_revokeRequest,
+                            lRevokeRequest);
 
             controlSeq.addElement(revokeRequestTag);
             PKIData pkidata = new PKIData(controlSeq, new SEQUENCE(), new SEQUENCE(), new SEQUENCE());
@@ -367,8 +367,8 @@ public class CMCRevoke {
             // SHA1 is the default digest Alg for now.
             DigestAlgorithm digestAlg = null;
             SignatureAlgorithm signAlg = SignatureAlgorithm.RSASignatureWithSHA1Digest;
-            org.mozilla.jss.crypto.PrivateKey.Type signingKeyType = ((org.mozilla.jss.crypto.PrivateKey) privKey)
-                    .getType();
+            org.mozilla.jss.crypto.PrivateKey.Type signingKeyType =
+                    ((org.mozilla.jss.crypto.PrivateKey) privKey).getType();
 
             if (signingKeyType.equals(org.mozilla.jss.crypto.PrivateKey.Type.DSA))
                 signAlg = SignatureAlgorithm.DSASignatureWithSHA1Digest;
diff --git a/pki/base/java-tools/src/com/netscape/cmstools/CRMFPopClient.java b/pki/base/java-tools/src/com/netscape/cmstools/CRMFPopClient.java
index a38ff8b967c636858131150a857a267c21e7f5ca..73c56ffea3002b71d4a4f8909d44ced06bfa9d00 100644
--- a/pki/base/java-tools/src/com/netscape/cmstools/CRMFPopClient.java
+++ b/pki/base/java-tools/src/com/netscape/cmstools/CRMFPopClient.java
@@ -370,10 +370,11 @@ public class CRMFPopClient {
 
                 certTemplate.setPublicKey(new SubjectPublicKeyInfo(pair.getPublic()));
                 // set extension
-                AlgorithmIdentifier algS = new AlgorithmIdentifier(new OBJECT_IDENTIFIER("1.2.840.113549.3.7"),
-                        new OCTET_STRING(iv));
-                EncryptedValue encValue = new EncryptedValue(null, algS, new BIT_STRING(session_data, 0), null, null,
-                        new BIT_STRING(key_data, 0));
+                AlgorithmIdentifier algS =
+                        new AlgorithmIdentifier(new OBJECT_IDENTIFIER("1.2.840.113549.3.7"), new OCTET_STRING(iv));
+                EncryptedValue encValue =
+                        new EncryptedValue(null, algS, new BIT_STRING(session_data, 0), null, null, new BIT_STRING(
+                                key_data, 0));
                 EncryptedKey key = new EncryptedKey(encValue);
                 PKIArchiveOptions opt = new PKIArchiveOptions(key);
                 SEQUENCE seq = new SEQUENCE();
@@ -493,10 +494,12 @@ public class CRMFPopClient {
 
                 // post PKCS10 
 
-                url = new URL("http://" + HOST + ":" + PORT
-                        + "/ca/ee/ca/profileSubmit?cert_request_type=crmf&cert_request=" + Req + "&renewal=false&uid="
-                        + USER_NAME + "&xmlOutput=false&&profileId=" + profileName + "&sn_uid=" + USER_NAME
-                        + "&SubId=profile&requestor_name=" + REQUESTOR_NAME);
+                url =
+                        new URL("http://"
+                                + HOST + ":" + PORT + "/ca/ee/ca/profileSubmit?cert_request_type=crmf&cert_request="
+                                + Req + "&renewal=false&uid=" + USER_NAME + "&xmlOutput=false&&profileId="
+                                + profileName + "&sn_uid=" + USER_NAME + "&SubId=profile&requestor_name="
+                                + REQUESTOR_NAME);
                 //System.out.println("Posting " + url);
 
                 System.out.println("");
diff --git a/pki/base/java-tools/src/com/netscape/cmstools/GenExtKeyUsage.java b/pki/base/java-tools/src/com/netscape/cmstools/GenExtKeyUsage.java
index c2d4e869b62db7b43333e510b3ef0c8c2de1df9e..fc3511f27fb212007b7da25d19d38004a3499298 100644
--- a/pki/base/java-tools/src/com/netscape/cmstools/GenExtKeyUsage.java
+++ b/pki/base/java-tools/src/com/netscape/cmstools/GenExtKeyUsage.java
@@ -54,7 +54,7 @@ public class GenExtKeyUsage {
             }
 
             // Generate vector of object identifiers from command line
-            Vector oids = new Vector();
+            Vector<ObjectIdentifier> oids = new Vector<ObjectIdentifier>();
 
             for (int i = 1; i < args.length; i++) {
                 ObjectIdentifier oid = new ObjectIdentifier(args[i]);
@@ -66,7 +66,7 @@ public class GenExtKeyUsage {
             DerOutputStream contents = new DerOutputStream();
 
             for (int i = 0; i < oids.size(); i++) {
-                contents.putOID((ObjectIdentifier) oids.elementAt(i));
+                contents.putOID(oids.elementAt(i));
             }
 
             // stuff the object identifiers into a SEQUENCE
diff --git a/pki/base/java-tools/src/com/netscape/cmstools/PrettyPrintCert.java b/pki/base/java-tools/src/com/netscape/cmstools/PrettyPrintCert.java
index 671a175f7a25c4f46ec5cd8fc0ca97c63b712425..9d91429273fac666a7f9597027012345ec2d1033 100644
--- a/pki/base/java-tools/src/com/netscape/cmstools/PrettyPrintCert.java
+++ b/pki/base/java-tools/src/com/netscape/cmstools/PrettyPrintCert.java
@@ -190,7 +190,7 @@ public class PrettyPrintCert {
                 CertificateSubjectName csn = (CertificateSubjectName)
                         certinfo.get(X509CertInfo.SUBJECT);
 
-                Enumeration en = csn.getElements();
+                Enumeration<String> en = csn.getAttributeNames();
 
                 X500Name dname = (X500Name) csn.get(CertificateSubjectName.DN_NAME);
 
